ControllersGrailsPlugin.GrailsWebMvcConfigurer (Grails 6.0.0)

Package: org.grails.plugins.web.controllers

## [Groovy] Class ControllersGrailsPlugin.GrailsWebMvcConfigurer

- org.grails.plugins.web.controllers.ControllersGrailsPlugin.GrailsWebMvcConfigurer

- All Implemented Interfaces and Traits:
    org.springframework.web.servlet.config.annotation.WebMvcConfigurer

      @groovy.transform.CompileStatic
      static class ControllersGrailsPlugin.GrailsWebMvcConfigurer
      extends java.lang.Object
      implements org.springframework.web.servlet.config.annotation.WebMvcConfigurer

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.lang.String[]` | `CLASSPATH_RESOURCE_LOCATIONS` |
    `private static java.lang.String[]` | `RESOURCE_LOCATIONS` |
    `private static java.lang.String[]` | `SERVLET_RESOURCE_LOCATIONS` |
    `private boolean` | `addMappings` |
    `private java.lang.Integer` | `cachePeriod` |
    `private java.lang.String` | `resourcesPattern` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `addMappings`
    `java.lang.Integer` | `cachePeriod`
    `java.lang.String` | `resourcesPattern`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsWebMvcConfigurer (java.lang.Integer cachePeriod, boolean addMappings, java.lang.String resourcesPattern)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `()`
    `` | `void` | `addResourceHandlers(org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry registry)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static final java.lang.String[] CLASSPATH_RESOURCE_LOCATIONS

    - #### private static final java.lang.String[] RESOURCE_LOCATIONS

    - #### private static final java.lang.String[] SERVLET_RESOURCE_LOCATIONS

    - #### private boolean addMappings

    - #### private java.lang.Integer cachePeriod

    - #### private java.lang.String resourcesPattern

  - ### Property Detail

    - #### boolean addMappings

    - #### java.lang.Integer cachePeriod

    - #### java.lang.String resourcesPattern

  - ### Constructor Detail

    - #### GrailsWebMvcConfigurer(java.lang.Integer cachePeriod, boolean addMappings, java.lang.String resourcesPattern)

  - ### Method Detail

    - #### static void ()

    - #### @java.lang.Override void addResourceHandlers(org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry registry)